### Hierarchy

- ObjectDetection
  - FaceDetection

### Implements

- IFaceDetecion

## Index

### Constructors

- constructor

### Accessors

- box
- className
- classScore
- imageDims
- imageHeight
- imageWidth
- relativeBox
- score

### Methods

- forSize

## Constructors

### constructor

- new FaceDetection(score: number, relativeBox: Rect, imageDims: IDimensions): FaceDetection

- Overrides ObjectDetection.constructor

  - Defined in classes/FaceDetection.ts:11

  #### Parameters

  - ##### score: number

  - ##### relativeBox: Rect

  - ##### imageDims: IDimensions

  #### Returns FaceDetection

## Accessors

### box

- get box(): Box<any>

- Implementation of IFaceDetecion.box

  - Defined in classes/ObjectDetection.ts:36

  #### Returns Box<any>

### className

- get className(): string

- - Defined in classes/ObjectDetection.ts:34

  #### Returns string

### classScore

- get classScore(): number

- - Defined in classes/ObjectDetection.ts:32

  #### Returns number

### imageDims

- get imageDims(): Dimensions

- - Defined in classes/ObjectDetection.ts:38

  #### Returns Dimensions

### imageHeight

- get imageHeight(): number

- - Defined in classes/ObjectDetection.ts:42

  #### Returns number

### imageWidth

- get imageWidth(): number

- - Defined in classes/ObjectDetection.ts:40

  #### Returns number

### relativeBox

- get relativeBox(): Box<any>

- - Defined in classes/ObjectDetection.ts:44

  #### Returns Box<any>

### score

- get score(): number

- Implementation of IFaceDetecion.score

  - Defined in classes/ObjectDetection.ts:30

  #### Returns number

## Methods

### forSize

- forSize(width: number, height: number): FaceDetection

- Overrides ObjectDetection.forSize

  - Defined in classes/FaceDetection.ts:20

  #### Parameters

  - ##### width: number

  - ##### height: number

  #### Returns FaceDetection